#pragma once
// #include <afxtempl.h>	// ʹ - MFC

// #include "MyList.h"
#include <list>

typedef struct SStud
{
	int nNumb;
	char szName[20];
	float fMath;
}DATA;

#define Size_SSud sizeof(SStud)
#define Size_SSud_szName sizeof(char) * 20
#define ERROR 0 

typedef bool(*pSortFun)(const DATA &d1, const DATA &d2);
typedef std::list<DATA>::iterator POSITION;


class CStudent
{
public:
	CStudent();
	~CStudent();
	int Menu();
	void Save();
	void Load();

private:
	void Print();

	void InputMenu();
	void Input(int nSel);

	void Delete();
	bool Remove(int nNumb);

	void Modify();
	bool ModifyData(int nNumb);

	int Browse();
//	void Sort(pSortFun pSort);
//	POSITION* MallocArray();
	static bool byNumb(const DATA &dMin, const DATA &dCompare);
	static bool byName(const DATA &dMin, const DATA &dCompare);
	static bool byMath(const DATA &dMin, const DATA &dCompare);
//	void PrintSort(POSITION ps[]);

	int Find();
	void FindbyNumb();
	void FindbyName();
	void FindbyMath();

	std::list<DATA> m_list;
};

