#pragma once

typedef struct SStud
{
	int nNumb;
	char szName[20];
	float fMath;
}DATA;

struct SNode 
{
	DATA data;
	SNode *pPrev, *pNext;
};

typedef void* POSITION;
#define ERROR 0 

class MyList
{
public:
	MyList();
	~MyList();

	void AddHead(DATA data);
	void AddTail(DATA data);

	void SetAt(POSITION pos, DATA data);
	void RemoveAt(POSITION pos);
	void RemoveAll();

	DATA& GetAt(POSITION pos);
	DATA& GetAt(POSITION pos) const;
	DATA& GetNext(POSITION &pos);
	DATA& GetPrev(POSITION &pos);

	POSITION GetHeadPosition();
	POSITION GetTailPosition();

	int GetCount();

private:
	SNode * m_pHead;
	SNode * m_pTail;
	int m_nCount;
};

