#include "Student.h"
#include <iostream>

using namespace std;

// 
CStudent::CStudent()
{
}

CStudent::~CStudent()
{
}


// public
int CStudent::Menu()
{
	system("cls");
	puts("\n\n\n\t\t*****************");
	puts("\t\t1 Browse all Information");//ַʽ
	puts("\t\t2 Add Information");
	puts("\t\t3 Delete Information");
	puts("\t\t4 Modify Information");
	puts("\t\t5 Find Information");
	puts("\t\t6 Sort Information");
	puts("\t\t0 exit");
	int i = 0;
	scanf_s("%d", &i);
	switch (i)
	{
	case 1:
	{
		Print();
		system("pause");
		break;
	}
	case 2:
	{
		InputMenu();
		break;
	}
	case 3:
	{
		Delete();
		break;
	}
	case 4:
	{
		Modify();
		break;
	}
	case 5:
	{
		while (Find())
		{
			;
		}
		break;
	}
	case 6:
	{
		while (Browse())
		{
			;
		}
		break;
	}
	}
	return i;
}

void CStudent::Save()
{
	// 1.0 ļ
	FILE *fp;
	errno_t eResult = fopen_s(&fp, "./stud.lv", "wb");
	if (0 != eResult)
	{
		cout << "Save File failure" << endl;
		return;
	}

	// 2.0 дļ
	POSITION pos = m_list.begin();
	while (pos != m_list.end())
	{
		DATA data = *pos;
		fwrite(&data, 1, Size_SSud, fp);
		++pos;
		// m_list.GetNext(pos);
	}

	// 3.0 رָ
	fclose(fp);
}

void CStudent::Load()
{
	// 1.0 ļ
	FILE *fp;
	errno_t eResult = fopen_s(&fp, "./stud.lv", "rb");
	if (0 != eResult)
	{
		cout << "Read File failure" << endl;
		return;
	}

	// 2.0 ȡļ
	DATA data;
	while (fread(&data, Size_SSud, 1, fp) > 0)
	{
		m_list.push_back(data);
	}

	// 3.0 رָ
	fclose(fp);
}


// private:
void CStudent::Print()
{
	puts("ID\tName\tMath");

	POSITION pos = m_list.begin();
	while (pos != m_list.end())
	{
		DATA data = *pos;
		printf_s("%d\t%s\t%0.1f\n", data.nNumb, data.szName, data.fMath);
		++pos;
	}
}


void CStudent::InputMenu()
{
	system("cls");
	puts("1 ͷ");
	puts("2 β");
	puts("0 ˵");

	int nChose = 0;
	scanf_s("%d", &nChose);
	if (1 == nChose || 2 == nChose)
	{
		Input(nChose);
	}
}

void CStudent::Input(int nSel)
{
	char cChose = 0;
	do 
	{
		DATA data;
		printf("Please Input Id Name Math: ");
		scanf_s("%d %s %f", &data.nNumb, &data.szName, Size_SSud_szName, &data.fMath);

		switch (nSel)
		{
			case 1:
			{
				m_list.push_front(data);
				break;
			}
			case 2:
			{
				m_list.push_back(data);
				break;
			}
			default:
			{
				return;
			}
		}

		Print();
		printf("Continue [y/n]?");
		getchar();
		cChose = getchar();
		putchar('\n');
	} while (cChose != 'N' && cChose != 'n');
}


void CStudent::Delete()
{
	char cChose = 0;
	do 
	{
		Print();
		cout << "Input Delete Id: ";

		int nNumb;
		cin >> nNumb;
		if (true == Remove(nNumb))
		{
			cout << "Delete Succeed" << endl;
		}
		else
		{
			cout << "Don't Have Id" << endl;
		}

		cout << "Continue [y/n]? ";
		getchar();
		cChose = getchar();
		putchar(cChose);
		putchar('\n');
	} while (cChose != 'N' && cChose != 'n');
}

bool CStudent::Remove(int nNumb)
{
	POSITION pos = m_list.begin();

	while (pos != m_list.end())
	{
		DATA data = *pos;
		if (nNumb == data.nNumb)
		{
			m_list.erase(pos);
			return true;
		}
		++pos;
	}
	return false;
}


void CStudent::Modify()
{
	char cChose = 0;
	do
	{
		Print();
		cout << "Input Modify Id: ";

		int nNumb;
		cin >> nNumb;
		ModifyData(nNumb);
		Print();

		cout << "Continue [y/n]? ";
		getchar();
		cChose = getchar();
		putchar(cChose);
		putchar('\n');
	} while (cChose != 'N' && cChose != 'n');
}

bool CStudent::ModifyData(int nNumb)
{
	POSITION pos = m_list.begin();
	while (pos != m_list.end())
	{
		DATA &data = *pos;
		if (nNumb == data.nNumb)
		{
			printf("Please Input New Name and Math: ");
			scanf_s("%s %f", data.szName, Size_SSud_szName, &data.fMath);
			return true;
		}
		++pos;
	}

	puts("Don't Have Id!");
	return false;
}


int CStudent::Browse()
{
	system("cls");
	puts("1 Sort Id");
	puts("2 Sort Name");
	puts("3 Sort Math");
	puts("0 Return");
	int nChose = 0;
	scanf_s("%d", &nChose);

	pSortFun ps[] = {byNumb , byName, byMath };
	m_list.sort(ps[nChose - 1]);

	return ERROR;
}

bool CStudent::byNumb(const DATA &dMin, const DATA &dCompare)
{
	if (dMin.nNumb < dCompare.nNumb)
	{
		return true;
	}
	return false;
}
bool CStudent::byName(const DATA &dMin, const DATA &dCompare)
{
	int nResult = strcmp(dMin.szName, dCompare.szName);
	if (nResult < 0)
	{
		return true;
	}
	return false;
}
bool CStudent::byMath(const DATA &dMin, const DATA &dCompare)
{
	if (dMin.fMath < dCompare.fMath)
	{
		return true;
	}
	return false;
}


int CStudent::Find()
{
	puts("1 Find Id");
	puts("2 Find Name");
	puts("3 Find Score");
	puts("0 Return Menu");

	int i = 0;
	scanf_s("%d", &i);
	switch (i)
	{
	case 1:
		FindbyNumb();
		break;
	case 2:
		FindbyName();
		break;
	case 3:
		FindbyMath();
		break;
	default:
		return i;
	}
	system("pause");
	return i;
	return ERROR;
}

void CStudent::FindbyNumb()
{
	int nNumb = 0;
	printf("Please Input Id: ");
	scanf_s("%d", &nNumb);
	puts("Id\tName\tMath");

	POSITION pos = m_list.begin();
	while (pos != m_list.end())
	{
		DATA &data = *pos;
		if (data.nNumb == nNumb)
		{
			printf_s("%d\t%s\t%0.1f\n", data.nNumb, data.szName, data.fMath);
			break;
		}
		++pos;
	}
}

void CStudent::FindbyName()
{
	char szName[20];
	printf("Please Input Name: ");
	scanf_s("%s", szName, Size_SSud_szName);
	puts("Id\tName\tMath");

	POSITION pos = m_list.begin();
	while (pos != m_list.end())
	{
		DATA &data = *pos;
		if (0 == strcmp(data.szName, szName))
		{
			printf_s("%d\t%s\t%0.1f\n", data.nNumb, data.szName, data.fMath);
			break;
		}
		++pos;
	}
}

void CStudent::FindbyMath()
{
	float nMath = 0;
	printf("Please Input Math: ");
	scanf_s("%f", &nMath);
	puts("Id\tName\tMath");

	POSITION pos = m_list.begin();
	while (pos != m_list.end())
	{
		DATA &data = *pos;
		if (data.fMath == nMath)
		{
			printf_s("%d\t%s\t%0.1f\n", data.nNumb, data.szName, data.fMath);
			break;
		}
		++pos;
	}
}


